I really miss this application, I would like to see if it is possible to make it compatable with 2.2.1. Opinions?